siResult-class {SLGI} | R Documentation

## A class for representing the result of the SLGI graph permutation model.

### Description

A class for representing the result of the `modelSLGI` function.

### Slots

`Observed`:
  Return a `"numeric"` vector: the observed number of synthetic genetic interactions between components of one or two cellular organizational units
`Expected`:
  Return a matrix: the expected number of synthetic genetic interactions between components of one or two cellular organizational units

### Methods

`plot`
  Graphical representation of the permutation model result
`compare`
  Summarizes the result of the `modelSLGI` function

### Author(s)

N. LeMeur

### See Also

`modelSLGI`,`plot`

### Examples

    ## apply a permutation model
     data(ScISIC)
     data(Atong)
     data(SGA)
     model <-  modelSLGI(Atong, universe= SGA, interactome=ScISIC,
      type="intM", perm=2)

    model

[Package SLGI version 1.4.0 Index]